Debian Bug report logs - #474764
meta-gnome2: recommends packages not in main

version graph

Package: gnome-dbg; Maintainer for gnome-dbg is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-dbg is src:meta-gnome3.

Reported by: Amaya <amaya@debian.org>

Date: Mon, 7 Apr 2008 16:45:02 UTC

Severity: important

Tags: patch

Merged with 469871

Fixed in version meta-gnome2/1:2.20.2.3

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#474764; Package meta-gnome2. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: meta-gnome2: recommends packages not in main
Date: Mon, 7 Apr 2008 18:46:26 +0200
[Message part 1 (text/plain, inline)]
Package: meta-gnome2
Version: 1:2.20.2.2
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

meta-gnome2 recommends libnss3-0d-dbg, which is no longer available in unstable.
And libgnomedb3-4-dbg, not available on ia64.

This bug is RC, hence the severity, according to the following Release Goal for
Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Attached is the a patch with a suggestion on how to fix this bug, but of
course, as the package maintainer you might know better.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux
[meta-gnome2-2.20.2.3.diff (text/x-diff, attachment)]

Forcibly Merged 469871 474764. Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. (Mon, 07 Apr 2008 17:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#474764; Package meta-gnome2. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #12 received at 474764@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Amaya <amaya@debian.org>, 474764@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#474764: meta-gnome2: recommends packages not in main
Date: Mon, 7 Apr 2008 22:36:01 +0200
forcemerge 469871 474764
stop

On Mon, Apr 07, 2008, Amaya wrote:
> meta-gnome2 recommends libnss3-0d-dbg, which is no longer available in unstable.

 This was already reported and is fixed in SVN.

> And libgnomedb3-4-dbg, not available on ia64.

 libgnomedb3 simply didn't build on ia64... as I commented on
 debian-qa already.

> This bug is RC, hence the severity, according to the following Release Goal for

 I don't think it needs to be RC; we shall update meta-gnome2, but it
 can wait.

-- 
Loïc Minier




Forcibly Merged 469871 474764. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 20:39:23 GMT) Full text and rfc822 format available.

Bug reassigned from package `meta-gnome2' to `gnome-dbg'. Request was from Loic Minier <lool@dooz.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 20:39:27 GMT) Full text and rfc822 format available.

Forcibly Merged 469871 474764. Request was from Loic Minier <lool@dooz.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 20:39:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#474764; Package gnome-dbg. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #23 received at 474764@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Loïc Minier <lool@dooz.org>
Cc: 474764@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#474764: meta-gnome2: recommends packages not in main
Date: Mon, 7 Apr 2008 22:43:02 +0200
Loïc Minier wrote:
>  This was already reported and is fixed in SVN.

Thanks for replying so quickly, I missed the bug as it was not
user-tagged.

>  I don't think it needs to be RC; we shall update meta-gnome2, but it
>  can wait.

Maybe it's my bad wording.

Anyway, can we mark this pending so that it can be tracked?

Thanks for your great work in Debian!

-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#474764; Package gnome-dbg. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #28 received at 474764@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Amaya <amaya@debian.org>
Cc: 474764@bugs.debian.org
Subject: Re: Bug#474764: meta-gnome2: recommends packages not in main
Date: Mon, 7 Apr 2008 22:46:09 +0200
On Mon, Apr 07, 2008, Amaya wrote:
> Anyway, can we mark this pending so that it can be tracked?

 The committer should have done so, but I just did; thanks for noting
 this omission.

-- 
Loïc Minier




Tags added: pending Request was from Loic Minier <lool@dooz.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 20:51:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#474764; Package gnome-dbg. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #35 received at 474764@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Loïc Minier <lool@dooz.org>
Cc: 474764@bugs.debian.org
Subject: Re: Bug#474764: meta-gnome2: recommends packages not in main
Date: Mon, 7 Apr 2008 22:55:10 +0200
Loïc Minier wrote:
> On Mon, Apr 07, 2008, Amaya wrote:
> > Anyway, can we mark this pending so that it can be tracked?
> 
>  The committer should have done so, but I just did; thanks for noting
>  this omission.

Thanks, you rock!

-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jun 2008 07:29:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 20:01:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.